Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.auth
Class PermissionDenied

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.cassandra.thrift.InvalidRequestException
                  org.apache.cassandra.auth.PermissionDenied

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<InvalidRequestException>, org.apache.thrift.TBase<InvalidRequestException,InvalidRequestException._Fields>

    public class PermissionDenied

extends InvalidRequestException

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.cassandra.thrift.InvalidRequestException
`InvalidRequestException._Fields`

Field Summary

Fields inherited from class org.apache.cassandra.thrift.InvalidRequestException
`metaDataMap, why`

Constructor Summary
`PermissionDenied(java.lang.String reason)`

Method Summary
`java.lang.String` | `getMessage()`

Methods inherited from class org.apache.cassandra.thrift.InvalidRequestException
`clear, compareTo, deepCopy, equals, equals, fieldForId, getFieldValue, getWhy, hashCode, isSet, isSetWhy, read, setFieldValue, setWhy, setWhyIsSet, toString, unsetWhy, validate, write`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PermissionDenied

    public PermissionDenied(java.lang.String reason)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation